[Swift-commit] r4837 - trunk/tests/language-behaviour/cleanup

hategan at ci.uchicago.edu hategan at ci.uchicago.edu
Sun Jul 24 21:18:54 CDT 2011


Author: hategan
Date: 2011-07-24 21:18:54 -0500 (Sun, 24 Jul 2011)
New Revision: 4837

Modified:
   trunk/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh
   trunk/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh
   trunk/tests/language-behaviour/cleanup/021-iter-scope-cleanup.check.sh
   trunk/tests/language-behaviour/cleanup/031-foreach-scope-cleanup.check.sh
   trunk/tests/language-behaviour/cleanup/041-if-scope-cleanup.check.sh
Log:
changed TEST_LOG to OUTPUT

Modified: trunk/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh
===================================================================
--- trunk/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh	2011-07-25 00:02:35 UTC (rev 4836)
+++ trunk/tests/language-behaviour/cleanup/001-proc-scope-cleanup.check.sh	2011-07-25 02:18:54 UTC (rev 4837)
@@ -13,12 +13,12 @@
 	exit 1
 fi
 
-if ! grep "Cleaning file.*$PREFIX.t1.tmp.*" $TEST_LOG; then
+if ! grep "Cleaning file.*$PREFIX.t1.tmp.*" $OUTPUT; then
 	echo "Test mapper did not claim to clean t1"
 	exit 1
 fi
 
-if ! grep "Not cleaning file.*$PREFIX.t2.out.*" $TEST_LOG; then
+if ! grep "Not cleaning file.*$PREFIX.t2.out.*" $OUTPUT; then
 	echo "Test mapper did not identify t2 as persistent"
 	exit 1
 fi

Modified: trunk/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh
===================================================================
--- trunk/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh	2011-07-25 00:02:35 UTC (rev 4836)
+++ trunk/tests/language-behaviour/cleanup/011-proc-scope-alias-cleanup.check.sh	2011-07-25 02:18:54 UTC (rev 4837)
@@ -12,17 +12,17 @@
 	exit 1
 fi
 
-if ! grep "Remapping" $TEST_LOG; then
+if ! grep "Remapping" $OUTPUT; then
 	echo "Test mapper did not claim to have remapped anything"
 	exit 1
 fi
 
-if ! grep "Cleaning file.*$PREFIX.1.tmp.*" $TEST_LOG; then
+if ! grep "Cleaning file.*$PREFIX.1.tmp.*" $OUTPUT; then
 	echo "Test mapper didn't clean what it should have"
 	exit 1
 fi
 
-if ! grep "Not cleaning file.*$PREFIX.2.out.*" $TEST_LOG; then
+if ! grep "Not cleaning file.*$PREFIX.2.out.*" $OUTPUT; then
 	echo "Test mapper did not identify 2 as persistent"
 	exit 1
 fi

Modified: trunk/tests/language-behaviour/cleanup/021-iter-scope-cleanup.check.sh
===================================================================
--- trunk/tests/language-behaviour/cleanup/021-iter-scope-cleanup.check.sh	2011-07-25 00:02:35 UTC (rev 4836)
+++ trunk/tests/language-behaviour/cleanup/021-iter-scope-cleanup.check.sh	2011-07-25 02:18:54 UTC (rev 4837)
@@ -7,7 +7,7 @@
 	exit 1
 fi
 
-if [ `grep "Cleaning" $TEST_LOG | wc -l` != "3" ]; then
+if [ `grep "Cleaning" $OUTPUT | wc -l` != "3" ]; then
 	echo "Wrong number of files cleaned"
 	exit 1
 fi

Modified: trunk/tests/language-behaviour/cleanup/031-foreach-scope-cleanup.check.sh
===================================================================
--- trunk/tests/language-behaviour/cleanup/031-foreach-scope-cleanup.check.sh	2011-07-25 00:02:35 UTC (rev 4836)
+++ trunk/tests/language-behaviour/cleanup/031-foreach-scope-cleanup.check.sh	2011-07-25 02:18:54 UTC (rev 4837)
@@ -7,7 +7,7 @@
 	exit 1
 fi
 
-if [ `grep "Cleaning" $TEST_LOG | wc -l` != "4" ]; then
+if [ `grep "Cleaning" $OUTPUT | wc -l` != "4" ]; then
 	echo "Wrong number of files cleaned"
 	exit 1
 fi

Modified: trunk/tests/language-behaviour/cleanup/041-if-scope-cleanup.check.sh
===================================================================
--- trunk/tests/language-behaviour/cleanup/041-if-scope-cleanup.check.sh	2011-07-25 00:02:35 UTC (rev 4836)
+++ trunk/tests/language-behaviour/cleanup/041-if-scope-cleanup.check.sh	2011-07-25 02:18:54 UTC (rev 4837)
@@ -12,7 +12,7 @@
 	exit 1
 fi
 
-if [ `grep "Cleaning" $TEST_LOG | wc -l` != "2" ]; then
+if [ `grep "Cleaning" $OUTPUT | wc -l` != "2" ]; then
 	echo "Wrong number of files cleaned"
 	exit 1
 fi




More information about the Swift-commit mailing list